package connexion;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Modality;
import javafx.stage.Stage;

import java.io.IOException;

import fenetres.App;

public class FenetreConnexion extends Stage {
    
    private App mainApp;
    
    private ConnexionController controller;
    
    public FenetreConnexion(App mainApp) {
    	
        
    	this.mainApp = mainApp;
        
        try {
            FXMLLoader loader = new FXMLLoader(getClass().getResource("/fenetreConnexion.fxml"));
            Parent root = loader.load();
            
            controller = loader.getController();
            
            Connexion connexion = new Connexion();

            controller.setMainApp(mainApp);
            controller.setStage(this);
            controller.setConnexion(connexion);
            
            this.setTitle("Connexion");
            this.initModality(Modality.APPLICATION_MODAL);
            
            Scene scene = new Scene(root);
            
            this.setScene(scene);
            this.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    public ConnexionController getController() {
    	return controller;
    }
    
 
    
 
}