package fenetres;


import connexion.FenetreConnexion;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Menu;
import javafx.scene.control.MenuBar;
import javafx.scene.control.MenuItem;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.VBox;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class App extends Application {
	
	
    private VBox textZone;
    private FenetreConnexion fenetreConnection;

	@Override
	public void start(Stage stage) throws Exception {
		
		  	BorderPane root = new BorderPane();
	        
	        MenuBar menuBar = new MenuBar();
	       
	        Menu menuFichiers = new Menu("Fichiers");
	        Menu menuFenetres = new Menu("Fenetres");
	        
	        MenuItem choisirFichier = new MenuItem("Choisir un fichier");
	        MenuItem quitter = new MenuItem("Quitter");
	        menuFichiers.getItems().addAll(choisirFichier,quitter);

	        MenuItem ajouterVille = new MenuItem("Ajouter une ville");
	        MenuItem deconnexion = new MenuItem("Déconnexion");
	        MenuItem connexion = new MenuItem("Connexion");
	        menuFenetres.getItems().addAll(ajouterVille,deconnexion,connexion);
	      
	        menuBar.getMenus().addAll(menuFichiers,menuFenetres);     
	        
	        textZone = new VBox();
	        
	        
	        root.setTop(menuBar);
	        root.setCenter(textZone);
	        
	        
	        connexion.setOnAction(ae-> {
	        	
	        	fenetreConnection = new FenetreConnexion(this);


	        });
	        
	        deconnexion.setOnAction(ae->{
	        	
	        	fenetreConnection.getController().deconnexion();
	        	
	        });
	        
	        
	        quitter.setOnAction(ae-> stage.close());
	        
	        Scene scene = new Scene(root,500,500);
	        
	        stage.setTitle("Première application JavaFX");
	        stage.setScene(scene);
	        stage.show();
	        
	        

	        
	        
	      
	}
	
	  
	  public  void mettreAJourLog(String message) {
		  
		  Text textLog = new Text(message) ;
		  
		  textZone.getChildren().add(textLog);
		  
	  }
	
	

}

