package connexion;

import fenetres.App;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.Node;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;
import javafx.stage.Stage;

public class ConnexionController {
	

	  private App mainApp;
	  
	  private FenetreConnexion connexionStage;
	  
	  private Connexion connexion;

	  
	  @FXML
	  private TextField nameField;
	  
	  @FXML
	  private PasswordField passwordField;
	  
	    
	 public void setMainApp(App mainApp) {
	        this.mainApp = mainApp;
	    }
	 
	 public void setStage(FenetreConnexion connexionStage) {
	        this.connexionStage = connexionStage;
	        
	    }
	 
	 public void setConnexion(Connexion connexion) {
	        this.connexion = connexion;

	    }
	 
	 
	 public void deconnexion() {
		 
			mainApp.mettreAJourLog("déconnexion de " + connexion.loginProperty().get()+ " ...");
			connexion.vider();	       
	    }
	 
	 

	@FXML
	public void actionValider (ActionEvent ae) {
		
		connexionStage.close();

		String nom = nameField.getText();
		String motdepasse = passwordField.getText();
		connexion = new Connexion(nom,motdepasse);
		
		setConnexion(connexion);
		mainApp.mettreAJourLog("Chargement d'un fichier: Connexion.java ...");

		if(connexion.isVide().get()==true) {
			
			mainApp.mettreAJourLog("Connexion annuler ...");

		}else {
			
			mainApp.mettreAJourLog("Connexion reussie de " + nom + "...");

		}
		



	}
	
	@FXML
	public void actionAnnuler (ActionEvent ae) {
		
		
		mainApp.mettreAJourLog("Connexion annuler...");
		connexionStage.close();

		
	}
	

}
